| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::ZoneRec Class Reference

Class for storing zone information. More...

List of all members.

## Public Member Functions
| ZoneRec ()
| Empty constructor.
| ZoneRec (const string zoneIdent, const string desc, const string surf, const string creatorName, const long zoneTyp, const long proj, const double zoneDiameter, vector< ZonePoint > &zonePoints)
| Constructor with parameters.
| ~ZoneRec ()
| Destructor.
## Public Attributes
string | zoneId
string | description
string | surface
string | creator
long | zoneType
| Enum value of type ZoneTypeEnum.
long | projection
double | zoneDiam
vector< ZonePoint > | zonePoint
| Information related with each POINT record.

## Detailed Description

Class for storing zone information.

## Constructor & Destructor Documentation

EECFI::ZoneRec::ZoneRec | ( |  | ) |

Empty constructor.

EECFI::ZoneRec::ZoneRec | ( | const string | zoneIdent,
|  | const string | desc,
|  | const string | surf,
|  | const string | creatorName,
|  | const long | zoneTyp,
|  | const long | proj,
|  | const double | zoneDiameter,
|  | vector< ZonePoint > & | zonePoints |
| ) |  |  |

Constructor with parameters.

References creator, description, projection, surface, zoneDiam, zoneId, zonePoint, and zoneType.

EECFI::ZoneRec::~ZoneRec | ( |  | ) |

Destructor.

References zonePoint.

## Member Data Documentation

string EECFI::ZoneRec::creator

Referenced by EECFI::ZoneFile::read(), and ZoneRec().

string EECFI::ZoneRec::description

Referenced by EECFI::ZoneFile::read(), and ZoneRec().

long EECFI::ZoneRec::projection

Referenced by EECFI::ZoneFile::read(), and ZoneRec().

string EECFI::ZoneRec::surface

Referenced by EECFI::ZoneFile::read(), and ZoneRec().

double EECFI::ZoneRec::zoneDiam

Zone diameter in meters. This value is only used when the ZONE is a POINT zone (with the POINT swath) or a CIRCULAR zone.

Referenced by EECFI::ZoneFile::read(), and ZoneRec().

string EECFI::ZoneRec::zoneId

Referenced by EECFI::ZoneFile::read(), and ZoneRec().

vector<ZonePoint> EECFI::ZoneRec::zonePoint

Information related with each POINT record.

Referenced by EECFI::ZoneFile::read(), ZoneRec(), and ~ZoneRec().

long EECFI::ZoneRec::zoneType

Enum value of type ZoneTypeEnum.

Referenced by EECFI::ZoneFile::read(), and ZoneRec().